petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFBcastEnd

end a broadcast operation started with PetscSFBcastBegin()

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscSFBcastEnd(PetscSF sf,MPI_Datatype unit,const void* rootdata,void* leafdata)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| rootdata | - buffer to broadcast

### Output Arguments

leafdata -buffer to update with values from each leaf's respective root

### See Also

PetscSFSetGraph(), PetscSFReduceEnd()

### Level

intermediate

### Location

src/vec/is/sf/../../../../include/petscsf.h

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/vec/is/sf/examples/tutorials/ex1f.F90.html
src/ts/examples/tutorials/ex11.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages